package etcd

type ServiceType int

const (
	Unique   ServiceType = 1 // 唯一
	Multiple ServiceType = 2 // 多个
)

func (s ServiceType) String() string {
	switch s {
	case Unique:
		return "unique"
	case Multiple:
		return "multiple"
	default:
		return "unknown"
	}
}
